using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    [Display(Name = "일지내용", Description = "일지내용이 많아졌을때 varchar(max) 하나에 담기 어려워 분할한다.")]
    public partial class BemsReportHistoryContent {

        public BemsReportHistoryContent() {
        }

        [Display(Name = "사이트 ID"), Key]
        public int SiteId { get; set; }

        //리포트 포맷 관리
        [Display(Name = "일지 순번"), Key]
        public int Seq { get; set; }

        //리포트 포맷 관리
        [Display(Name = "내용 ID"), Key]
        public int ContentId { get; set; }

        [Display(Name = "내용")]
        public string Content { get; set; }

        [ForeignKey("SiteId,Seq")]
        public virtual BemsReportHistory BemsReportHistory { get; set; }

    }
}
